/**
 *
 * @param tutorialId - ID of the relevant tutorial in SAM
 * @param stepNum - Which step in the tutorial, starts at 0
 */
export declare function highlightTutorialElementID(tutorialId: string, stepNum: number): string;
export interface TutorialHighlight extends Pick<DOMRect, 'top' | 'left' | 'height' | 'width'> {
    id: string;
}
export declare function getHighlightElementBoundingBox(tutorialId: string, stepNum: number, windowSize: {
    width: number;
    height: number;
}): Promise<TutorialHighlight | undefined>;
