import { IconData } from '@equinor/eds-icons';
import { AppIconProps } from './ApplicationIcon.types';
import { IconDataWithColor } from './ApplicationIconCollection';
export interface ShapeProps {
    top: number;
    left: number;
    rotation: number;
}
interface ApplicationIconBaseProps extends Required<AppIconProps> {
    iconData: IconData | IconDataWithColor[];
    shapes: ShapeProps[];
    iconOnly: boolean;
    withHover: boolean;
}
declare const ApplicationIconBase: import("react").ForwardRefExoticComponent<ApplicationIconBaseProps & import("react").RefAttributes<HTMLDivElement>>;
export default ApplicationIconBase;
