interface StyledDialogProps {
    $withBorders: boolean;
}
export declare const DialogElement: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<{
    isDismissable?: boolean;
    open: boolean;
    onClose?: () => void;
    dialogRef?: import("react").ForwardedRef<HTMLDialogElement>;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>, never>> & string & Omit<import("react").ForwardRefExoticComponent<{
    isDismissable?: boolean;
    open: boolean;
    onClose?: () => void;
    dialogRef?: import("react").ForwardedRef<HTMLDialogElement>;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>> & {
    Actions: typeof import("@equinor/eds-core-react").DialogActions;
    Title: typeof import("@equinor/eds-core-react").DialogTitle;
    CustomContent: typeof import("@equinor/eds-core-react").DialogContent;
    Content: typeof import("@equinor/eds-core-react").DialogContent;
    Header: typeof import("@equinor/eds-core-react").DialogHeader;
}, keyof import("react").Component<any, {}, any>>;
export declare const DialogTitle: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("@equinor/eds-core-react").DialogTitleProps & import("react").RefAttributes<HTMLDivElement>, StyledDialogProps>> & string & Omit<import("react").ForwardRefExoticComponent<import("@equinor/eds-core-react").DialogTitleProps & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
interface DialogContentProps {
    $withContentPaddingY: boolean;
    $withContentPaddingX: boolean;
}
export declare const DialogContent: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<{
    scrollable?: boolean;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>, DialogContentProps>> & string & Omit<import("react").ForwardRefExoticComponent<{
    scrollable?: boolean;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
export declare const DialogActions: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("@equinor/eds-core-react").DialogActionsProps & import("react").RefAttributes<HTMLDivElement>, StyledDialogProps>> & string & Omit<import("react").ForwardRefExoticComponent<import("@equinor/eds-core-react").DialogActionsProps & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
export declare const AdditionalInfoBanner: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export declare const InfoIconWrapper: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
export {};
