import{Dialog as i}from"@equinor/eds-core-react";import{colors as o}from"../../atoms/style/colors.js";import{spacings as t}from"../../atoms/style/spacings.js";import e,{css as d}from"styled-components";const n=e(i)`
  grid-gap: 0;
`,r=e(i.Title)`
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: ${t.medium};

  ${({$withBorders:i})=>i?d`
        border-bottom: 1px solid ${o.ui.background__medium.rgba};
      `:""}
  > section {
    display: flex;
    flex-direction: column;
  }
`,a=e(i.CustomContent)`
  min-height: unset;
  overflow: auto;
  ${({$withContentPaddingX:i,$withContentPaddingY:o})=>d`
      padding: ${o?t.medium:0}
        ${i?t.medium:0};
    `}
`,s=e(i.Actions)`
  border-top: 1px solid ${o.ui.background__medium.rgba};
  display: grid;
  grid-template-columns: auto auto auto;
  padding-top: ${t.medium};
  width: 100%;

  > section {
    display: flex;
    gap: ${t.small};
  }

  > section#dialog-actions-left {
    grid-column: 1;
  }

  > section#dialog-actions-center {
    grid-column: 2;
    justify-content: center;
  }

  > section#dialog-actions-right {
    grid-column: 3;
    justify-content: flex-end;
  }

  ${({$withBorders:i})=>i?d`
        border-top: 1px solid ${o.ui.background__medium.rgba};
      `:d`
      border-top: none;
    `}
`,m=e.div`
  display: flex;
  flex-direction: row;
  gap: ${t.medium};
  padding: ${t.medium};
  background-color: ${o.ui.background__info.rgba};
`,l=e.div`
  display: flex;
  align-items: center;
`;export{m as AdditionalInfoBanner,s as DialogActions,a as DialogContent,n as DialogElement,r as DialogTitle,l as InfoIconWrapper};
