import"react";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"react-router-dom";import"@tanstack/react-query";import"@equinor/subsurface-app-management";import"../../atoms/utils/auth_environment.js";import{shape as r,typography as e}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Environment.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"html2canvas";import"proj4";import"@equinor/eds-icons";import{Chip as i}from"../../molecules/Chip/Chip.js";import{motion as t}from"framer-motion";import o,{css as a}from"styled-components";import{colors as s}from"../../atoms/style/colors.js";import{spacings as n}from"../../atoms/style/spacings.js";const d=o.div`
  width: 100%;
  border: 1px solid ${s.ui.background__heavy.rgba};
  background: ${s.ui.background__default.rgba};
  border-radius: ${r.corners.borderRadius};
  overflow: hidden;
`,m=o.div`
  display: flex;
  align-items: center;
  width: 100%;
  outline: 1px solid ${s.ui.background__medium.rgba};
  > button:not([data-testid='clear-all-x']) {
    padding: 0 ${n.small} 0 ${n.medium_small};
    display: flex;
    gap: ${n.x_small};
    align-items: center;
    justify-content: center;
    border-left: 1px solid ${s.ui.background__medium.rgba};
    color: ${s.interactive.primary__resting.rgba};
    align-self: stretch;
    span {
      color: ${s.interactive.primary__resting.rgba};
    }

    &:hover {
      background: ${s.interactive.primary__hover_alt.rgba};
    }
  }

  > button:last-child {
    border-left: 1px solid ${s.ui.background__medium.rgba};
    > span {
      color: ${s.text.static_icons__secondary.rgba};
    }
    &:hover {
      background: ${s.interactive.primary__hover_alt.rgba};
    }
  }
`,l=o.section`
  > svg:first-child {
    flex-shrink: 0;
  }
  min-height: calc(48px - (2 * ${n.medium_small}));
  align-items: center;
  flex-grow: 1;
  display: flex;
  flex-wrap: wrap;
  gap: ${n.x_small};
  padding: ${n.medium_small} ${n.small};
  cursor: text;
  &:hover {
    background: ${s.ui.background__light_medium.rgba};
  }
  &:focus-within {
    border-bottom: 1px solid ${s.interactive.primary__resting.rgba};
    padding-bottom: calc(${n.medium_small} - 1px);
  }
  > button[data-testid='clear-all-x'] {
    width: 24px;
    height: 24px;
    border-left: none;
    margin-right: ${n.xx_small};
    flex-shrink: 0;
    &:after {
      width: 24px;
      height: 24px;
    }
  }
`,p=o.input`
  background: transparent;
  width: 0;
  flex-grow: 1;
  padding: 0;
  font-family: 'Equinor', sans-serif;
  font-size: ${e.input.text.fontSize};
  font-weight: ${e.input.text.fontWeight};
  color: ${s.text.static_icons__default.rgba};
  outline: none;
  border: none;
  &::placeholder {
    opacity: 1;
    color: ${s.text.static_icons__tertiary.rgba};
  }
  &::-webkit-search-cancel-button,
  &::-webkit-search-results-button,
  &::-webkit-search-results-decoration {
    display: none;
  }
`,c=o(t.div)`
  border-bottom-left-radius: ${r.corners.borderRadius};
  border-bottom-right-radius: ${r.corners.borderRadius};
  background: ${s.ui.background__default.rgba};
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: ${n.medium};
  padding: ${n.medium};
  > span {
    display: flex;
    gap: ${n.x_small};
  }
`,u=o(i)`
  ${({$tryingToRemove:r})=>{if(r)return a`
        background: ${s.interactive.primary__hover_alt.rgba};
      `}}
`;export{m as Container,c as Content,p as SearchField,l as Section,u as StyledChip,d as Wrapper};
