import{jsx as e,jsxs as r,Fragment as t}from"react/jsx-runtime";import{useRef as o,useState as i,useEffect as s,useMemo as l}from"react";import{useLocation as m,Link as n}from"react-router-dom";import{Icon as a,Menu as p}from"@equinor/eds-core-react";import{chevron_up as c,chevron_down as d}from"@equinor/eds-icons";import"../../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../../_virtual/lodash.js";import{usePrevious as u}from"../../../atoms/hooks/usePrevious.js";import"../../TopBar/Notifications/NotificationProvider.js";import"../../../providers/AuthProvider/AuthProvider.js";import"../../../providers/ReleaseNotesProvider.js";import{useSideBar as h}from"../../../providers/SideBarProvider.js";import"../../../providers/SnackbarProvider/SnackbarProvider.js";import"../../../providers/StepperProvider.js";import"../../../providers/TableOfContentsProvider.js";import"../../../providers/ThemeProvider/ThemeProvider.js";import"@tanstack/react-query";import"@equinor/subsurface-app-management";import"../../../atoms/utils/auth_environment.js";import{colors as g}from"../../../atoms/style/colors.js";import{spacings as j}from"../../../atoms/style/spacings.js";import"../../../atoms/enums/Errors.js";import"../../../atoms/enums/Environment.js";import"../../../atoms/enums/Theme.js";import"../../../atoms/enums/SpacingsMode.js";import"html2canvas";import"proj4";import"../../../molecules/AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../../../molecules/ApplicationIcon/ApplicationIcon.js";import"../../../molecules/Badge/Badge.styles.js";import"../../../molecules/Banner/Banner.styles.js";import"../../../molecules/Button/Button.js";import"../../../molecules/Chip/Chip.js";import"../../../molecules/ContentMenu/ContentMenu.styles.js";import"../../../molecules/DatePicker/DatePicker.js";import"../../../molecules/Dialog/Dialog.js";import"../../../molecules/EquinorLogo/EquinorLogo.js";import"../../../molecules/FileProgress/CompactFileProgress.styles.js";import"../../../molecules/FileProgress/RegularFileProgress.styles.js";import"../../../molecules/FileUploadArea/FileUploadArea.js";import"../../../molecules/FullPageSpinner/FullPageSpinner.js";import"../../../molecules/InfoElement/InfoElement.js";import{OptionalTooltip as v}from"../../../molecules/OptionalTooltip/OptionalTooltip.js";import"../../../molecules/ProfileAvatar/ProfileAvatar.js";import"@tiptap/react";import"../../../molecules/RichTextEditor/RichTextEditor.styles.js";import"../../../molecules/RichTextEditor/MenuBar/MenuBar.js";import"../../../molecules/Tabs/Tabs.js";import"../../../molecules/RichTextEditor/MenuBar/MenuBar.styles.js";import"../../../molecules/RichTextEditor/MenuBar/MenuButton.js";import"../../../molecules/Search/Search.js";import"../../../molecules/Sieve/Sieve.styles.js";import"../../../molecules/SingleFilterMenu/SingleFilterMenu.js";import"../../../molecules/Skeleton/SkeletonBase/SkeletonBase.js";import"../../../molecules/Skeleton/Skeleton.styles.js";import"../../../molecules/Stepper/Stepper.js";import"../../../molecules/OptionDrawer/OptionDrawer.js";import"../../../molecules/Select/Select.styles.js";import"../../../molecules/ListItem/ListItem.js";import"../../../molecules/SelectionControls/Checkbox/Checkbox.js";import"../../../molecules/SelectionControls/Radio/Radio.js";import"../../../molecules/SelectionControls/Switch/Switch.js";import"../../../molecules/Waves/Waves.styles.js";import"framer-motion";import{Link as b,MenuItemWrapper as f,IconContainer as k,ItemText as x}from"./MenuItem.styles.js";import{isCurrentUrl as y}from"./MenuItem.utils.js";import _,{css as S}from"styled-components";const P=_.button`
  position: relative;
  width: 100%;
  display: grid;
  grid-template-columns: auto 1fr auto;
  align-self: stretch;
  align-items: center;
  height: 64px;
  min-width: 64px;
  padding: ${j.medium};
  gap: ${j.medium};
  box-sizing: border-box;
  border-bottom: 1px solid ${g.ui.background__medium.rgba};
  background: ${({$active:e,$expanded:r})=>e?g.interactive.primary__selected_highlight.rgba:r?g.interactive.table__header__fill_resting.rgba:"transparent"};
  text-decoration: none;
  transition: background 0.1s ease-out;

  &:hover {
    text-decoration: none;
    background: ${({$active:e,$expanded:r})=>e?g.interactive.primary__selected_hover.rgba:r?g.ui.background__medium.rgba:g.interactive.primary__hover_alt.rgba};
    svg {
      fill: ${g.interactive.primary__hover.rgba};
    }
  }

  ${({$open:e})=>!e&&S`
      &:after {
        position: absolute;
        right: -7px; // 1px border offset from 8px width
        bottom: 0;
        height: 0;
        width: 0;
        border-color: transparent;
        border-bottom-color: ${g.interactive.primary__resting.rgba};
        border-style: solid;
        border-width: 8px;
        content: '';
        z-index: 500;
      }
    `}
`,$=_(b)`
  display: grid;
  grid-template-columns: 32px 1fr;
  height: unset;
  > p:first-child {
    grid-column: 2;
  }
`,T=({icon:j,name:b,items:_,...S})=>{const{pathname:T}=m(),B=u(T),{isOpen:C}=h(),E=u(C),M=_.some((e=>y({currentUrl:T,link:e.link}))),R=o(null),[A,w]=i(!1),F=()=>w((e=>!e));s((()=>{(E&&!C&&A||B!==T&&A&&!C)&&w(!1)}),[A,C,T,E,B]);const I=l((()=>e(v,{title:b,placement:"right",children:e(f,{children:r(P,{ref:R,$open:C,$active:M,$expanded:A,onClick:F,...S,children:[e(k,{"data-testid":"icon-container",children:e(a,{data:j,size:24,color:g.interactive.primary__resting.rgba})}),C&&r(t,{children:[e(x,{$active:!1,$disabled:!1,variant:"button",group:"navigation",children:b}),e(a,{data:A?c:d,size:24,color:g.interactive.primary__resting.rgba})]})]})})})),[A,j,M,C,b,S]);return A&&C?r(t,{children:[I,_.map(((r,t)=>e($,{to:r.link,$active:y({currentUrl:T,link:r.link}),$disabled:r.disabled||!1,children:e(x,{$active:M,$disabled:r.disabled||!1,variant:"button",group:"navigation",children:r.name})},t)))]}):A?r(t,{children:[I,e(p,{open:!0,anchorEl:R.current,placement:"right-start",onClose:F,children:_.map((r=>e(p.Item,{as:n,active:y({currentUrl:T,link:r.link}),style:{width:"256px"},to:r.link,children:r.name},r.link)))})]}):I};export{T as CollapsableMenuItem};
