import { FC, MutableRefObject, ReactElement, ReactNode } from 'react';
import { AccountInfo } from '@azure/msal-common';
export interface AccountProps {
    /**
     * @deprecated logout - Not needed anymore
     */
    logout?: () => void;
    /**
     * @deprecated account - Not needed anymore
     */
    account?: AccountInfo | undefined;
    /**
     * @deprecated photo - Not needed anymore
     */
    photo?: string | undefined;
    /**
     * @deprecated roles - Not needed anymore
     */
    roles?: string[] | undefined;
    renderCustomButton?: (buttonRef: MutableRefObject<HTMLButtonElement | null>, handleToggle: () => void) => ReactElement;
    hideRoleChips?: boolean;
    children?: ReactNode;
}
export declare const Account: FC<AccountProps>;
