import React, { ReactNode } from 'react';
import { EnvironmentType } from '../../atoms/enums/Environment';
import { Field } from '../../atoms/types/Field';
export declare const TopBar: React.ForwardRefExoticComponent<{
    applicationIcon: string;
    applicationName: string;
    /** @deprecated - Not needed anymore, clicking header wil go to '/' by default */
    onHeaderClick?: () => void;
    /** @param - Path when clicking header */
    headerLink?: string;
    environment?: EnvironmentType;
    isFetching?: boolean;
    capitalize?: boolean;
    children: ReactNode;
    availableFields?: Field[];
    onSelectField?: (selectedField: Field) => void;
    currentField?: Field;
    showAccessITLink?: boolean;
    itemNameSingular?: string;
} & React.HTMLAttributes<HTMLElement> & React.RefAttributes<HTMLDivElement>>;
