import { FC, HTMLAttributes } from 'react';
import { MyTutorialDto } from '@equinor/subsurface-app-management';
interface TutorialsProps extends Omit<HTMLAttributes<HTMLButtonElement>, 'color' | 'onClick'> {
    onTutorialStart?: (tutorialId: string) => void;
    filterTutorials?: (value: MyTutorialDto, index: number, array: MyTutorialDto[]) => boolean;
}
export declare const Tutorials: FC<TutorialsProps>;
export {};
