import { AmplifyApplication, FaqCategory, ImpersonateUserDto, MyFeatureDto, MyTutorialDto, ReleaseNote } from '@equinor/subsurface-app-management';
import { GraphAppRole } from '@equinor/subsurface-app-management/dist/api/models/GraphAppRole';
export declare const fakeReleaseNotes: ReleaseNote[];
export declare const FAKE_ROLES: GraphAppRole[];
export declare const fakeImpersonateUsers: ImpersonateUserDto[];
export declare function fakeTutorial({ id, willPopUp, highlightElement, path, stepAmount, }: {
    id: string;
    willPopUp: boolean;
    highlightElement: boolean;
    path?: string;
    stepAmount?: number;
}): MyTutorialDto;
export declare const FAKE_TUTORIALS: MyTutorialDto[];
export declare const FAKE_APPS: AmplifyApplication[];
export declare const FAKE_FEATURE_TOGGLES: MyFeatureDto[];
export declare const FAKE_FAQ_CATEGORIES: FaqCategory[];
export declare const tokenHandler: import("msw").HttpHandler;
export declare const getTutorialImageHandler: import("msw").HttpHandler;
export declare const handlers: import("msw").HttpHandler[];
