import{jsx as e,jsxs as o}from"react/jsx-runtime";import{forwardRef as t}from"react";import{Icon as i}from"@equinor/eds-core-react";import{tokens as n}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{GRAYSCALE_FILTER_VALUE as a}from"./ApplicationIcon.constants.js";import r,{css as s}from"styled-components";const{colors:d,elevation:c}=n,l=r.div`
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 15%;
  background: ${({$iconOnly:e})=>e?"transparent":"#004f55"};
  width: ${({$size:e})=>`${e}px`};
  height: ${({$size:e})=>`${e}px`};
  z-index: 100;
  overflow: hidden;
  ${({$grayScale:e})=>e?s`
          filter: ${a};
        `:""}
  > svg {
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    transition: all 2s ease-in-out;
    z-index: 300;
    transform: scale(0.8);
  }
  ${({$withHover:e})=>e&&"\n  cursor: pointer;\n  &:hover {\n    > svg {\n      transform: scale(0.9);\n    }\n    > div:nth-child(even) {\n      top: -80%;\n      left: 80%;\n    }\n    > div:nth-child(odd) {\n      top: 93%;\n      left: -93%;\n    }\n  }\n  "};
`,p=r.div`
  position: absolute;
  top: ${e=>e.$top}%;
  left: ${e=>e.$left}%;
  border-radius: 55% 50% 80% 50%;
  z-index: ${e=>200-e.$index};
  width: 120%;
  height: 80%;
  box-shadow: ${c.raised};
  // This background is set to hex and not rgba because design do not want this color to change in dark mode , 18 march 2024.
  background: ${d.interactive.primary__resting.hex};
  transition: all 3s cubic-bezier(0.25, 1, 0.5, 1);
  transform: rotate(${e=>e.$rotation}deg);
  pointer-events: none;
`,$=t((({size:t=48,iconData:n,shapes:a,iconOnly:r,withHover:s,grayScale:d=!1},c)=>r?e(l,{"data-testid":"application-icon",ref:c,$size:t,$iconOnly:r,$withHover:s,$grayScale:d,children:Array.isArray(n)?n.map(((o,n)=>e(i,{data:o,size:t,color:o.color},`icon-${n}`))):e(i,{data:n,size:t,color:"#ffffff"})}):o(l,{"data-testid":"application-icon",ref:c,$size:t,$iconOnly:r,$withHover:s,$grayScale:d,children:[Array.isArray(n)?n.map(((o,n)=>e(i,{"data-testid":`icon-part-${n}`,data:o,size:t,color:o.color},`icon-${n}`))):e(i,{data:n,size:t,color:"#ffffff"}),a.map(((o,t)=>e(p,{"data-testid":"shape",$index:t,$top:o.top,$left:o.left,$rotation:o.rotation,$grayScale:d},`shape-${t}`)))]})));$.displayName="ApplicationIconBase";export{$ as default};
