import{shape as r}from"../../atoms/style/index.js";import{SkeletonBase as e}from"../Skeleton/SkeletonBase/SkeletonBase.js";import t from"styled-components";import{spacings as i}from"../../atoms/style/spacings.js";import{colors as o}from"../../atoms/style/colors.js";const a=t.div`
  display: flex;
  flex-direction: column;
  gap: ${i.small};
`,n=t.button`
  display: flex;
  align-items: center;
  gap: ${i.xx_small};
  color: ${o.text.static_icons__default.rgba};
  border: none;
  border-radius: ${r.corners.borderRadius};
  min-width: 150px;
  width: fit-content;
  padding: ${i.medium_small} ${i.medium};
  text-align: left;
  background: ${r=>r.$active?o.interactive.primary__hover_alt.rgba:"none"};
  transition: background 150ms;
  &:hover {
    background: ${o.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
  font-family: 'Equinor', sans-serif;
  font-weight: 700;
  font-size: 14px;
`,s=t.button`
  display: flex;
  align-items: center;
  gap: ${i.xx_small};
  color: ${o.text.static_icons__default.rgba};
  border: none;
  margin-left: ${i.medium_small};
  border-radius: ${r.corners.borderRadius};
  min-width: calc(150px - ${i.medium_small});
  width: fit-content;
  padding: ${i.medium_small} ${i.medium};
  text-align: left;
  background: ${r=>r.$active?o.interactive.primary__hover_alt.rgba:"none"};
  transition: background 400ms;
  &:hover {
    background: ${o.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
  font-family: 'Equinor', sans-serif;
  font-weight: 700;
  font-size: 14px;
`,m=t(e)`
  border: none;
  border-radius: ${r.corners.borderRadius};
  width: 150px;
  height: 1rem;
  padding: ${i.medium_small} 0;
`;export{a as Container,s as ContentMenuChildItem,n as ContentMenuItem,m as ContentMenuItemSkeleton};
