import { ReactNode, RefObject } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface MenuButtonProps {
    ref?: RefObject<HTMLButtonElement>;
    children?: ReactNode;
    icon: IconData;
    onClick: () => void;
    active?: boolean;
    disabled?: boolean;
    tooltip?: string;
}
export declare const MenuButton: import("react").ForwardRefExoticComponent<Omit<MenuButtonProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>>;
