import { FC, ReactElement, ReactNode, RefObject } from 'react';
export interface ResourcesProps {
    field?: string;
    hideFeedback?: boolean;
    hideReleaseNotes?: boolean;
    hideLearnMore?: boolean;
    children?: ReactNode;
    customButton?: (ref: RefObject<HTMLButtonElement | null>, onToggle: () => void) => ReactElement;
}
export declare const Resources: FC<ResourcesProps>;
